Bug 1538479 - [RFE] Add cp_label into API output
Summary: [RFE] Add cp_label into API output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 08:01 UTC by Ondřej Pražák
Modified: 2019-11-05 23:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:57 UTC
Foreman Issue Tracker 22385 None None None 2018-01-25 08:01:19 UTC

Description Ondřej Pražák 2018-01-25 08:01:17 UTC
When adding hosts that were previously consuming content from CDN, a user has a list of repos that were enabled by running `subscription-manager repos --list-enabled | awk '/Repo ID:/{print $3}'` on each host. This exported list of repos should be used to check if all the repos are available in Katello, so that hosts can subscribe. But there is no way of doing that because cp_label is not exposed in API.

Comment 1 Ondřej Pražák 2018-01-25 08:01:22 UTC
Created from redmine issue http://projects.theforeman.org/issues/22385

Comment 2 Ondřej Pražák 2018-01-25 08:01:26 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 4 pm-sat@redhat.com 2018-01-25 09:19:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22385 has been resolved.

Comment 11 errata-xmlrpc 2018-10-16 15:30:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.